Loading...
Searching...
No Matches
tiny_dnn::Tensor< U > Class Template Reference

## Public Member Functions

| Tensor (const size_t d0, const size_t d1, const size_t d2, const size_t d3)
| Tensor (const std::array< size_t, 4 > &shape)
| Tensor (const std::vector< size_t > &shape)
| Tensor (const Tensor &other)
Tensor & | operator= (const Tensor &other)
| Tensor (Tensor &&other)
Tensor & | operator= (Tensor &&other)
const std::array< size_t, 4 > & | shape () const
U & | host_at (const size_t d0, const size_t d1, const size_t d2, const size_t d3)
U | host_at (const size_t d0, const size_t d1, const size_t d2, const size_t d3) const
const U * | host_ptr (const size_t d0, const size_t d1, const size_t d2, const size_t d3) const
U * | host_ptr (const size_t d0, const size_t d1, const size_t d2, const size_t d3)
const U * | host_data () const
U * | mutable_host_data ()
size_t | size () const
void | fill (U value)
void | reshape (const size_t d0, const size_t d1, const size_t d2, const size_t d3)
void | reshape (const std::array< size_t, 4 > &sz)

The documentation for this class was generated from the following file:

- tiny_dnn/core/framework/tensor.h